28 Dezember 2006

rTPlan and L10N

Currently I'm working on the L10N (Localization) of rTPlan using GetText. GetText is easy to use and the tutorials on the website are very helpfull.

In the next release rTPlan will also be available in German!
If you like to have rTPlan in your language don't hesitate to write an email to: simon@martinelli.ch

Kommentare:

ஜேகே - JK hat gesagt…

Hello Simon,

I would like to try rTPlan and am having some trouble getting it up and running. Could you please help?

I have installed Rails (InstantRails1.7 & 2.0) and downloaded rTPlan. Created mysql databased. But when I try to do "rake migrate" I am getting the following error.

C:\Programs\InstalRails\rails_apps\rtplan>rake migrate --trace
(in C:/Programs/InstalRails/rails_apps/rtplan)
rake aborted!
undefined method `require_gem' for main:Object
C:/Programs/InstalRails/rails_apps/rtplan/config/boot.rb:28
C:/Programs/InstalRails/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:2
7:in `gem_original_require'
C:/Programs/InstalRails/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:2
7:in `require'
C:/Programs/InstalRails/rails_apps/rtplan/rakefile:4
C:/Programs/InstalRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:2149:
in `load'
C:/Programs/InstalRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:2149:
in `raw_load_rakefile'
C:/Programs/InstalRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1897:
in `load_rakefile'
C:/Programs/InstalRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1948:
in `standard_exception_handling'
C:/Programs/InstalRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1896:
in `load_rakefile'
C:/Programs/InstalRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1880:
in `run'
C:/Programs/InstalRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1948:
in `standard_exception_handling'
C:/Programs/InstalRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1878:
in `run'
C:/Programs/InstalRails/ruby/lib/ruby/gems/1.8/gems/rake-0.8.1/bin/rake:31
C:/Programs/InstalRails/ruby/bin/rake:19:in `load'
C:/Programs/InstalRails/ruby/bin/rake:19

ஜேகே - JK hat gesagt…

Hello Simon,

I did some tweaks and made it working finally.

Thanks
JK

Simon Martinelli hat gesagt…

Hi JK,

Ok. Great you did it. What was the problem?

Greetings, Simon

ஜேகே - JK hat gesagt…

1) First the environment.rb that comes with rTPlan was not compatible with the version of rails i had. I replaced that with one that is generated for another rails project.

2) Then I needed to install rcov and gettext

3) I had some trouble with gettext version. The latest version failed. I tried with previous one (*.9.0 ) and it worked.

I am playing with it now.